DefinitionDispatcherAction (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles.actions
Class DefinitionDispatcherAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.DefinitionDispatcherAction

    public class DefinitionDispatcherAction

extends Action

An Action that dispatches to a Tiles Definition that is named by the request parameter whose name is specified by the `parameter` property of the corresponding ActionMapping. This action is useful in following situations:

- To associate an Url to a definition
  To use Struts <html:link> tag on a definition

To configure the use of this action in your `struts-config.xml` file, create an entry like this:

`<action path="/saveSubscription" type="org.apache.struts.tiles.actions.DefinitionDispatcherAction" parameter="def"/> <forward name="success" path="anything" //> <forward name="error" path="path.to.error.page" //>`

which will use the value of the request parameter named "def" to pick the appropriate definition name.

The value for success doesn't matter. The forward will forward to appropriate definition.

The value for error should denote a valid jsp path or definition name.

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $

Field Summary
`protected static Log` | `log` Commons Logging instance.

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`DefinitionDispatcherAction()`

Method Summary
`ActionForward` | `execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)` Process the specified HTTP request, and create the corresponding HTTP response (or forward to another web component that will create it), with provision for handling exceptions thrown by the business logic.
`protected void` | `printError(HttpServletResponse response, String msg)` Deprecated. This will be removed after Struts 1.2.

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Log log

  Commons Logging instance.

Constructor Detail

### DefinitionDispatcherAction

    public DefinitionDispatcherAction()

Method Detail

### execute

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
                          throws Exception

  Process the specified HTTP request, and create the corresponding HTTP response (or forward to another web component that will create it), with provision for handling exceptions thrown by the business logic.

  Overrides:
    `execute` in class `Action`
  Parameters:
    `mapping` - The ActionMapping used to select this instance
    `form` - The optional ActionForm bean for this request (if any)
    `request` - The HTTP request we are processing
    `response` - The HTTP response we are creating
  Returns:
    The forward to which control should be transferred, or `null` if the response has been completed.
  Throws:
    `Exception` - if the application business logic throws an exception
  Since:
    Struts 1.1

### printError

    protected void printError(HttpServletResponse response,
                              String msg)
                       throws IOException

  Deprecated. This will be removed after Struts 1.2.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.